
proxies:
# 支持的协议及加密算法示例请查阅 Clash 项目 README 以使用最新格式：https://github.com/Dreamacro/clash/blob/master/README.md

# Shadowsocks 支持的加密方式:
#   aes-128-gcm aes-192-gcm aes-256-gcm
#   aes-128-cfb aes-192-cfb aes-256-cfb
#   aes-128-ctr aes-192-ctr aes-256-ctr
#   rc4-md5 chacha20-ietf xchacha20
#   chacha20-ietf-poly1305 xchacha20-ietf-poly1305



# VMess
- name: "v2ray"
  type: vmess
  server: ml.uugo.cf
  port: 5046
  uuid: 8243251f-d174-4571-b221-a43419977dec
  alterId: 0
  cipher: auto
  # udp: true
  # tls: true
  # tls-hostname: 填写伪装域名
  # skip-cert-verify: true
  network: tcp
  # ws-path: /path
  # ws-headers: #这一行后面不要写东西
  #   Host: v2ray.com #填写伪装域名



# 代理组策略
# 策略组示例请查阅 Clash 项目 README 以使用最新格式：https://github.com/Dreamacro/clash/blob/master/README.md
proxy-groups:

# url-test 通过指定的 URL 测试并选择延迟最低的节点
- name: "自动选择快速节点"
  type: url-test
  proxies:
    - "v2ray"
  url: 'http://www.baidu.com'
  interval: 300

# fallback 通过指定的 URL 测试并选择可用的节点，当 1 故障不可用时自动切换到 2 以此类推
# - name: "Fallback"
#   type: fallback
#   proxies:
#     - "1"
#     - "2"
#     - "3"
#     - "4"
#   url: 'http://www.baidu.com'
#   interval: 300

# load-balance: 负载均衡
# - name: "LoadBalance"
#   type: load-balance
#   proxies:
#     - "1"
#     - "2"
#     - "3"
#     - "4"
#   url: 'http://www.baidu.com'
#   interval: 300

# 代理节点选择
- name: "PROXY"
  type: select
  proxies:
    - "自动选择快速节点"
    - "v2ray"

# 白名单模式 PROXY，黑名单模式 DIRECT
- name: "Final"
  type: select
  proxies:
    - "v2ray"
    - "PROXY"
    - "DIRECT"


# 规则
rules:
# Unbreak
# > Google
- DOMAIN-SUFFIX,googletraveladservices.com,PROXY
- DOMAIN,dl.google.com,PROXY
- DOMAIN,mtalk.google.com,PROXY


# Local Area Network
- IP-CIDR,192.168.0.0/16,DIRECT
- IP-CIDR,10.0.0.0/8,DIRECT
- IP-CIDR,172.16.0.0/12,DIRECT
- IP-CIDR,127.0.0.0/8,DIRECT
- IP-CIDR,100.64.0.0/10,DIRECT


# GeoIP China
- GEOIP,CN,PROXY

- MATCH,PROXY
